%global _hardened_build 1
%define major 1

Name:           lz4
Version:        r127
Release:        %mkrel 1
Summary:        Extremely fast compression algorithm

Group:          Applications/System
License:        Executeable GPLv2 / Library BSD
URL:            https://code.google.com/p/lz4/
Source0:        https://lz4.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LZ4 is an extremely fast loss-less compression algorithm, providing compression
speed at 400 MB/s per core, scalable with multi-core CPU. It also features
an extremely fast decoder, with speed in multiple GB/s per core, typically
reaching RAM speed limits on multi-core systems.

%package devel
Summary:	Extremely fast compression algorithm
Group:		Development/C
Requires:	%name = %version

%description devel
LZ4 is an extremely fast loss-less compression algorithm, providing compression
speed at 400 MB/s per core, scalable with multi-core CPU. It also features
an extremely fast decoder, with speed in multiple GB/s per core, typically
reaching RAM speed limits on multi-core systems.

This package contains the development headers and libraries for lz4.

%prep
%setup -q
# fix install locations on 64bit
%ifarch x86_64
sed -i 's|LIBDIR ?= $(PREFIX)/lib|LIBDIR = $(PREFIX)/lib64|g' Makefile
sed -i 's|LIBDIR?= $(PREFIX)/lib|LIBDIR = $(PREFIX)/lib64|g' lib/Makefile
%endif

%build
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr

# remove static library
rm -f %{buildroot}/%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%files
%doc NEWS README.md lib/LICENSE programs/COPYING
%{_bindir}/lz4
%{_bindir}/lz4c
%{_bindir}/lz4cat
%{_mandir}/man1/lz4c.1.bz2
%{_mandir}/man1/lz4cat.1.bz2
%{_mandir}/man1/lz4.1.bz2
%{_libdir}/liblz4.so.%{major}*


%files devel
%{_includedir}/lz4*
%{_libdir}/liblz4.so
%{_libdir}/pkgconfig/liblz4.pc


%changelog
* Sat Feb 14 2015 ghostbunny <ghostbunny at gmx dot de> r127-1pclos2015
- r127
- clarify license executeables are gpl2 the library is BSD

* Fri Jul 25 2014 ghostbunny <ghostbunny at gmx dot de> r120-1pclos2014
- r120
- add new pkgconfig file to files section

* Thu Jul 03 2014 ghostbunny <ghostbunny at gmx dot de> r119-1pclos2014
- r119
- fix license it is BSD not GPLv2
- use correct library directory on 64bit
- add devel package (header files and devel libs should not be put into the normal application package)
- add remove of static library

* Tue Feb 18 2014 pinoc <vogtpet at gmail.com> - r112-1pclos2014
- imported package